package com.jojubanking.boot.module.system.service.xymain;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.xymain.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.xymain.xyMainDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 体检信息 Service 接口
 *
 * @author admin
 */
public interface xyMainService {

    /**
     * 创建体检信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createxyMain(@Valid xyMainCreateReqVO createReqVO);

    /**
     * 更新体检信息
     *
     * @param updateReqVO 更新信息
     */
    void updatexyMain(@Valid xyMainUpdateReqVO updateReqVO);

    /**
     * 删除体检信息
     *
     * @param id 编号
     */
    void deletexyMain(Long id);

    /**
     * 获得体检信息
     *
     * @param id 编号
     * @return 体检信息
     */
    xyMainDO getxyMain(Long id);

    /**
     * 获得体检信息列表
     *
     * @param ids 编号
     * @return 体检信息列表
     */
    List<xyMainDO> getxyMainList(Collection<Long> ids);
    List<xyMainDO> getxyMainListSimple(xyMainExportReqVO reqVO);

    /**
     * 获得体检信息分页
     *
     * @param pageReqVO 分页查询
     * @return 体检信息分页
     */
    PageResult<xyMainDO> getxyMainPage(xyMainPageReqVO pageReqVO);

    /**
     * 获得体检信息列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 体检信息列表
     */
    List<xyMainDO> getxyMainList(xyMainExportReqVO exportReqVO);

}
